Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.model
Interface Mappable

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  FBValidation

All Known Implementing Classes:
  AbsolutePanelRepresentation, AudioRepresentation, BorderPanelRepresentation, ButtonRepresentation, CalendarRepresentation, CanvasRepresentation, CheckBoxRepresentation, ClientScriptRepresentation, ComboBoxRepresentation, CompleteButtonRepresentation, ConditionalBlockRepresentation, CSSPanelRepresentation, Data, ExternalData, FieldSetPanelRepresentation, FileInputRepresentation, FlowPanelRepresentation, FormEffectDescription, FormItemRepresentation, FormRepresentation, HeaderRepresentation, HiddenRepresentation, HorizontalPanelRepresentation, HTMLRepresentation, ImageRepresentation, ImageRolodexRepresentation, InputData, LabelRepresentation, LineGraphRepresentation, LoopBlockRepresentation, MenuItemDescription, MenuOptionDescription, MenuPanelRepresentation, MIGPanelRepresentation, NumberFieldRepresentation, OptionRepresentation, OutputData, PasswordFieldRepresentation, RadioButtonRepresentation, RangeFieldRepresentation, RichTextEditorRepresentation, ScriptData, ScriptRepresentation, ServerTransformationRepresentation, SummaryRepresentation, TabbedPanelRepresentation, TableRepresentation, TextAreaRepresentation, TextFieldRepresentation, UploadWithProgressBarRepresentation, ValidationDescription, VerticalPanelRepresentation, VideoRepresentation

    public interface Mappable

extends Serializable

Method Summary
`Map<String,Object>` | `getDataMap()`
`void` | `setDataMap(Map<String,Object> dataMap)`

Method Detail

### getDataMap

    Map<String,Object> getDataMap()

### setDataMap

    void setDataMap(Map<String,Object> dataMap)
                    throws FormEncodingException

  Throws:
    `FormEncodingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.